Description

When I go to My account page, I would like to be able to see which groups I am a member of:

http://demo.redmine.org/my/account

The listed groups should link to their individual group pages. This would require a fix for Bug #12795 (Non-admin users cannot get

info about groups).

Related issues:

Related to Redmine - Feature #12795: View group members by non-admin users Closed

Associated revisions

Revision 17973 - 2019-03-15 12:49 - Jean-Philippe Lang

Display user's groups on profile (#12796).

Only for admins or when viewing its own profile.

History

#1 - 2013-03-19 15:00 - Bruno Spyckerelle

This is a very important feature, especially when you have a huge number of users.

#2 - 2019-02-19 08:23 - M.Moorad HEETUN

Hello,

there is a workaround for this. If for example you want to get to know the members of the group A, create a test ticket and assign it to the group A,

then you will receive a notification by mail and you will get all the users in that particular group.

Hope that helps.

Best Regards

#3 - 2019-02-19 08:56 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

#4 - 2019-03-10 10:34 - Marius BĂLTEANU

- File 0001-Show-user-groups-in-user-profile-page.patch added

- File admin.png added

- File non-admin.png added

- Target version set to Candidate for next major release

Here is a patch that adds to the user profile page the groups in which the user is a member of.

If the current user is admin, the group name links to edit group membership page from administration, otherwise, it is just the group name. if the

future, we can easily extend the link_to_group method to point to a group profile page and implement #12795.

Admin:

 admin.png 

Non admin user:

 non-admin.png 
#5 - 2019-03-10 10:36 - Marius BĂLTEANU

- Assignee deleted (Marius BĂLTEANU)

#6 - 2019-03-15 00:47 - Hinako Tajima

The patch written by Marius BALTEANU shows all the groups which the user belongs appears on the user's profile page, but I wondered it may cause

security problems.

Group names include important information such as organization names, product names, service names. Those names may not want to be seen by

anyone except members of a particular project.

In order to avoid sensitive information is unintentionally disclosed to all users, I suggest that group visibility follow the same settings as the role's

users visibility.

What to say when users visibility setting is set to "Members of visible projects", the current user should able to see groups only when the current user

is a member of the project.

#7 - 2019-03-15 10:27 - Marius BĂLTEANU

Hinako Tajima wrote:

The patch written by Marius BALTEANU shows all the groups which the user belongs appears on the user's profile page, but I wondered it may

cause security problems.

Group names include important information such as organization names, product names, service names. Those names may not want to be seen

by anyone except members of a particular project.

In order to avoid sensitive information is unintentionally disclosed to all users, I suggest that group visibility follow the same settings as the role's

users visibility.

What to say when users visibility setting is set to "Members of visible projects", the current user should able to see groups only when the current

user is a member of the project.

 I'm not sure that I fully understand your proposal. My proposed patch just adds to the user profile page the user's groups. If the current user has rights

to see the profile page (login, first name, last name, custom fields, etc) of another user (based on his role permissions), it'll see also the groups. I think

we complicate too much if we try to show only the groups that contain members of his visible projects (if this is the request).

#8 - 2019-03-15 12:52 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next major release to 4.1.0

- Resolution set to Fixed

I understand the issue. The request was about viewing its own groups so a safer solution is to display the groups for administrators and the current

user only. I've updated Marius' patch accordingly, thanks.

#9 - 2019-05-12 08:43 - Go MAEDA

- Subject changed from There is no way for a user to find out which groups they are a member of to Display user's groups on profile

Files

0001-Show-user-groups-in-user-profile-page.patch 3.61 KB 2019-03-10 Marius BĂLTEANU

admin.png 87.7 KB 2019-03-10 Marius BĂLTEANU

non-admin.png 87.7 KB 2019-03-10 Marius BĂLTEANU
